MediaWiki

MediaWiki:Common.css

From Mark Twain in the German Language Press

Revision as of 09:20, 23 September 2025 by KB (talk | contribs)

Note: After publishing, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Edge: Hold Ctrl while clicking Refresh, or press Ctrl-F5.
/* ******* CSS placed here will be applied to all skins ******* */

/* ******* ADD COLOR CODING FOR TRANSLATION CHANGES (ON ARTICLE PAGES) ******* */
.translationInsert {
    color: seagreen;
}
.translationOmission {
    color: crimson;
}
.translationChange {
    color: royalblue;
}

/* ******* STYLING FOR .translationTable (ON ARTICLE PAGES) ******* */
.translationTable td {
	vertical-align: top;
}

/* ******* STYLING FOR .articleNote AND .collectionNote (ON ARTICLE PAGES) ******* */
.articleNote,
.collectionNote {
	margin-bottom: 20px;
}

/*  ******* STYLING FOR .translationChanges AND .overviewExplanatoryNote SECTIONS (ON ARTICLE PAGES AND OVERVIEW PAGES) ******* */
.translationChanges,
.overviewExplanatoryNote {
	margin-bottom: 20px;
	margin-top: 20px;
	padding: 1em;
	background: #f8f9fa;
	border-radius: 3px;
	border: 1px solid #ccc;
}

/* ******* STYLING FOR .datatable (ON OVERVIEW PAGES) ******* */
    /* ******* STYLING HEADER ROW WITH SEARCH INPUT FIELDS ******* */
.datatable > thead:nth-child(2) th {
	padding: 0 5px;
}

    /* ******* STYLING "ENTRIES PER PAGE" DROP DOWN ******* */
.dt-container .dt-input{
	min-width: 50px;
}

    /* ******* STYLING "SEARCH BUILDER" SECTION (BUTTON ELEMENTS) ******* */
.dtsb-searchBuilder .dtsb-button,
.dtsb-searchBuilder .dtsb-button:hover,
.dtsb-searchBuilder .dtsb-logicContainer {
	background: transparent !important;
	background-color: transparent !important;
}
    /* ******* STYLING "SEARCH BUILDER" SECTION (INPUT ELEMENTS) ******* */
.dtsb-searchBuilder .dtsb-dropDown {
	height: auto !important;
	min-width: 6em !important;
}
.dtsb-searchBuilder .dtsb-input {
	display: inline;
}

/* ******* STYLING TABLE OF CONTENTS ******* */
#toc {
	background: #f8f9fa;
	border-radius: 3px;
	border: 1px solid #ccc;
}

/*Styling of article overview table (#articleOverview)*/
#articleOverview th,
#articleOverview td {
	font-size: 14px;
}

#articleOverview tr:has(.n) td {
	color: #818589 !important;
}
#articleOverview tr:has(.n) td a {
	color: #60D8FF !important;
}

/*Styling for .topicLinkList on Topic Pages*/
.topicLinkList {
	margin-bottom: 20px;
}
.topicLinkList ul {
	list-style: inside;
}

/**/
figure[typeof~="mw:File/Thumb"],
figure[typeof~="mw:File/Frame"] {
	margin: 0.5em 0 0 1.4em;
}

figure[typeof~="mw:File/Thumb"].mw-halign-left,
figure[typeof~="mw:File/Frame"].mw-halign-left {
	margin: 0.5em 1.4em 0 0;
}

figure[typeof~="mw:File/Frameless"].mw-halign-right {
	margin: 0 0 0 1em;
}
figure[typeof~="mw:File/Frameless"].mw-halign-left {
	margin: 0 1em 0 0;
}